=== debian/changelog ===
ktikz (0.12+ds1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:35 +0100

ktikz (0.12+ds1-3) unstable; urgency=medium

  * Team upload.
  * Do not install the upstream TODO file as documentation for ktikz,
    as it is of no value for users.
  * Install the examples for ktikz using dh_installexamples, not
    dh_installdocs.
  * Stop installing the xpm icons also for qtikz, as qtikz.desktop file
    does not use them (and the menu file was removed long ago).
  * Remove qtikz.dirs, as /usr/share/mime/packages/ is created automatically
    on install.
  * Remove debian/source/include-binaries, as it is obsolete.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update Vcs-* fields.
  * Backport upstream commit bab16b2864888586c5d9044986e4891917addd08 to
    install the appdata file; patch upstream_Install-appdata-file-1.patch
    - remove ktikz.install, no more needed now
  * Backport upstream commit 5018777fb62dd457f37aa8b25af7e1d0e00d26e3 to add
    the proper placeholders in Exec keys of desktop files; patch
    upstream_Add-F-placeholder-in-desktop-files.patch
    - remove patch desktop-mime.patch, which is replaced by this upstream
      change
  * Remove empty line at the end of changelog.
  * Backport upstream commit 3b137b2a4f12f74a6bc68f3a6ac093994cc418a0 to port
    the documentation to DocBook 4.5; patch
    upstream_Port-docbook-documentation.patch
    - remove the libkf5kdelibs4support-dev build dependency, no more needed now

 -- Pino Toscano <pino@debian.org>  Thu, 11 Oct 2018 07:25:09 +0200

ktikz (0.12+ds1-2) unstable; urgency=medium

  * Team upload.
  * Use the dh_auto_* commands to build the qmake version, specifying the build
    directory, and the build system: this makes sure qmake is invoked with all
    the needed options (like the envvars with the build flags), and that it
    builds in a parallel way
    - remove patches hardening-qtikz.patch, and qmake-noopt.patch, as they are
      no more needed now
  * Properly use the kf5 dh addon (instead of the kde one, for kdelibs 4.x)
    for the KF5 build.
  * Install the KF5 build directly in the ktikz package dir, so there is no
    need to move all the files from debian/tmp.
  * Link in as-needed mode.
  * Stop installing the xpm icons for ktikz, as it has PNG icons in the hicolor
    icon theme.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Apr 2018 09:12:55 +0200
