## ktikz 0.12.1+ds1+rb2

=== app/icons/CMakeLists.txt ===
# this installs the icons with a file name of the form <type><size>-<group>-<name>.<extension>, e.g. hi22-apps-ktikz.png
ecm_install_icons(ICONS
hi16-apps-ktikz.png
hi22-apps-ktikz.png
hi32-apps-ktikz.png
hi48-apps-ktikz.png
hi64-apps-ktikz.png
hi128-apps-ktikz.png
hisc-apps-ktikz.svgz
hisc-apps-ktikz.svg
DESTINATION ${KDE_INSTALL_ICONDIR}
THEME hicolor )
