=== debian/changelog ===
ktikz (0.12.1+ds1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Jan 2021 14:20:18 +0800
