=== debian/changelog ===
ktikz (0.13.1+ds1-1) unstable; urgency=medium

  * New upstream release.
    - drop all patches as they are applied upstream

 -- Stuart Prescott <stuart@debian.org>  Sun, 20 Dec 2020 14:42:00 +1100

ktikz (0.12+ds1-4) unstable; urgency=medium

  * Add patch to change pkg-config use and permit cross-building; thanks to
    Helmut Grohne for the patch (Closes: #915165).
  * Cherry-pick upstream patch to fix FTBFS with Qt 5.15 (Closes: #975154).
  * Add Rules-Requires-Root: no.
  * Move to debhelper-compat (= 13).
  * Bump S-V to 4.5.1, no changes required.

 -- Stuart Prescott <stuart@debian.org>  Thu, 19 Nov 2020 21:26:56 +1100
