## ktikz 0.13.1+ds1

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,13 @@
 	../common/utils/zoomaction.cpp
 )
 
+if( KTIKZ_USE_KTEXTEDITOR )
+  list(APPEND ktikz_SRCS
+    tikzktexteditorview.cpp
+    tikzktexteditorcompletion.cpp
+  )
+endif()
+
 # dirty hack: use ki18n_wrap_ui to let Qt translate the .ui files instead of KDE (to have less duplication in the translation effort)
 ki18n_wrap_ui(ktikz_UI_FILES
 	configappearancewidget.ui
@@ -73,7 +80,8 @@
 qt5_add_resources(ktikz_SRCS ktikz.qrc)
 qt5_add_resources(ktikz_SRCS qtikz.qrc)
 
-# kde4_add_app_icon(ktikz_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-ktikz.png") # add icons for win32 and mac; this command assumes that the first arg is of the form <appname>_SRCS
+file(GLOB icons_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-ktikz.png")
+ecm_add_app_icon(ktikz_SRCS ICONS ${icons_SRCS}) # add icons for win32 and mac; this command assumes that the first arg is of the form <appname>_SRCS
 
 # dirty hack: use ki18n_wrap_ui to let Qt translate the .ui files instead of KDE
 add_executable(ktikz ${ktikz_SRCS} ${ktikz_UI_FILES})
@@ -84,7 +92,14 @@
     Qt5::PrintSupport
     ${Poppler_LIBRARIES} )
 
+if( KTIKZ_USE_KTEXTEDITOR )
+  target_link_libraries(ktikz KF5::TextEditor)
+endif()
+
 install(TARGETS ktikz DESTINATION ${KDE_INSTALL_BINDIR})
+if( KTIKZ_USE_KTEXTEDITOR )
+  install(FILES ktikzui_frameworks.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktikz)
+endif()
 install(FILES ktikzui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktikz)
 install(FILES ../common/ktikz.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
