=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Florian Hackenberger <florian@hackenberger.at>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  libkf5doctools-dev,
  libkf5iconthemes-dev,
@@ -23,9 +23,10 @@
  qttools5-dev-tools,
  xsltproc
 Homepage: https://github.com/fhackenberger/ktikz
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktikz.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktikz
+Rules-Requires-Root: no
 
 Package: ktikz
 Architecture: any
