=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # Enable additional hardening options.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export QT_SELECT=5
