=== debian/changelog ===
ktikz (0.13.2+ds1-2) unstable; urgency=medium

  * Fix FTBFS with CMake 4 (Closes: #1113090).
  * Update Standards-Version to 4.7.2 (no changes required).
  * Add lintian overrides to reduce noise.

 -- Stuart Prescott <stuart@debian.org>  Sat, 20 Sep 2025 14:00:05 +1000

ktikz (0.13.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 0.10~svn112-1.
  * Update standards version to 4.6.0, no changes needed.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 12:55:53 +1100
