=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  qttools5-dev-tools,
  xsltproc
 Homepage: https://github.com/fhackenberger/ktikz
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktikz.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktikz
 Rules-Requires-Root: no
