=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_auto_configure:
 	# configure the KDE version (cmake)
-	dh_auto_configure -Skf5
+	dh_auto_configure -Skf5 -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 	# configure the Qt version (qmake)
 	dh_auto_configure -B$(QTBUILD) -Sqmake -- ../qtikz.pro
